# $Revision: 1.302 $, $Date: 2012/04/17 17:18:33 $
#
# TODO:
# - s=/dev/null=/home/services/xdm= in %%trigger for graceful upgrade from xdm/kdm/gdm 2.2
# - check /etc/pam.d/gdm-autologin
#
# Conditional build:
%bcond_without	selinux	# without selinux
%bcond_without  systemd # by default use systemd for session tracking instead of ConsoleKit (fallback to ConsoleKit on runtime)

Summary:	GNOME Display Manager
Summary(es.UTF-8):	Administrador de Entrada del GNOME
Summary(ja.UTF-8):	GNOME ディスプレイマネージャ
Summary(pl.UTF-8):	gdm - zarządca ekranów GNOME
Summary(pt_BR.UTF-8):	Gerenciador de Entrada do GNOME
Summary(ru.UTF-8):	Дисплейный менеджер GNOME
Summary(uk.UTF-8):	Дисплейний менеджер GNOME
Name:		gdm
Version:	3.4.1
Release:	2
Epoch:		2
License:	GPL/LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gdm/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	fda0470340f9c0bc2f8daccb280af520
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}-pld-logo.png
Source4:	%{name}-autologin.pamd
Source5:	%{name}-custom.desktop
Source6:	%{name}-default.desktop
Source7:	%{name}.upstart
Source9:	%{name}.tmpfiles
Patch0:		%{name}-xdmcp.patch
Patch1:		%{name}-polkit.patch
Patch2:		%{name}-xsession.patch
Patch3:		%{name}-defaults.patch
Patch4:		shell-check.patch
URL:		http://www.gnome.org/projects/gdm/
BuildRequires:	accountsservice-devel >= 0.6.12
BuildRequires:	attr-devel
BuildRequires:	audit-libs-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
BuildRequires:	check >= 0.9.4
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	docbook-dtd412-xml
BuildRequires:	fontconfig-devel >= 2.5.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	iso-codes
BuildRequires:	libcanberra-gtk3-devel >= 0.4
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	libxklavier-devel >= 4.0-2
BuildRequires:	nss-devel >= 3.11.1
BuildRequires:	pam-devel
BuildRequires:	pango-devel >= 1.3.0
BuildRequires:	perl-modules
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.93
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.627
%{?with_systemd:BuildRequires:  systemd-devel}
BuildRequires:	tar >= 1:1.22
BuildRequires:	upower-devel >= 0.9.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXdmcp-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(posttrans):	dconf
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	/usr/bin/X
Requires:	accountsservice >= 0.6.12
Requires:	dbus-x11
Requires:	gdm-wm >= 3.2.1
Requires:	gnome-session >= 3.0.0
Requires:	gnome-settings-daemon >= 3.0.0
Requires:	hicolor-icon-theme
Requires:	pam >= 0.99.7.1
Requires:	polkit-gnome >= 0.93
Requires:	which
Requires:	xinitrc-ng >= 1.0
Requires:	xorg-app-sessreg
Requires:	xorg-app-xmodmap
Suggests:	ConsoleKit-x11 >= 0.4.1
Suggests:	pam-pam_gnome_keyring
Suggests:	zenity
Provides:	XDM
Provides:	group(xdm)
Provides:	user(xdm)
Obsoletes:	gdm-Xnest
Obsoletes:	gdm-systemd
Obsoletes:	gdm-user-switch-applet
Obsoletes:	gnome-applet-fast-user-switch
Conflicts:	gdkxft
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%description -l es.UTF-8
Administrador de Entrada del GNOME.

%description -l ja.UTF-8
Gdm (the GNOME Display Manager) は、高度に設定可能な xdm X Display Manager
の再実装版です。 Gdm を使うと、 X Window System が動いているあなたの
システムにいろいろなセッションを選択してログインすることができます。

このバージョンの Gdm では、各種言語や、XIM を選択することも可能です。

%description -l pl.UTF-8
Gdm jest wysokokonfigurowalną reimplementacją xdma. Gdm pozwala
logować się do systemu z poziomu X11 i wspiera jednoczesną pracę kilku
różnych sesji X na lokalnej maszynie.

%description -l pt_BR.UTF-8
Gerenciador de Entrada do GNOME.

%description -l ru.UTF-8
GDM (GNOME Display Manager) - это реимплементация xdm (X Display
Manager). GDM позволяет вам входить в систему, на которой запущено X
Window и поддерживает работу нескольуих разных X сеансов одновременно.

%description -l uk.UTF-8
GDM (GNOME Display Manager) - це реімплементація xdm (X Display
Manager). GDM дозволяє вам входити в систему, на якій запущено X
Window та підтримує роботу кількох різних X сеансів одночасно.

%package libs
Summary:	GDM libraries
Summary(pl.UTF-8):	Biblioteki GDM
Group:		Libraries

%description libs
GDM libraries.

%description libs -l pl.UTF-8
Biblioteki GDM.

%package devel
Summary:	Header files for GDM
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
This package contains the files necessary to develop applications
using GDM's libraries.

%description devel -l pl.UTF-8
Pakiet zawiera pliki potrzebne do rozwoju aplikacji używających
bibliotek programu GDM.

%package static
Summary:	Static libraries for GDM
Summary(pl.UTF-8):	Biblioteki statyczne dla GDM
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains static libraries for GDM.

%description static -l pl.UTF-8
Pakiet zawiera statyczne biblioteki GDM.

%package init
Summary:	Init script for GDM
Summary(pl.UTF-8):	Skrypt init dla GDM-a
Group:		X11/Applications
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	open
Requires:	rc-scripts >= 0.4.3.0
Requires:	systemd-units >= 38

%description init
Init script for GDM.

%description init -l pl.UTF-8
Skrypt init dla GDM-a.

%package upstart
Summary:	Upstart job description for GDM
Summary(pl.UTF-8):	Opis zadania Upstart dla GDM
Group:		Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	upstart >= 0.6

%description upstart
Upstart job description for GDM.

%description upstart -l pl.UTF-8
Opis zadania Upstart dla GDM.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
touch data/gdm.schemas.in.in
%{__libtoolize}
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-console-helper \
	--disable-scrollkeeper \
	--disable-silent-rules \
	%{__with_without systemd systemd} \
	--with-console-kit \
	--enable-authentication-scheme=pam \
	--with-pam-prefix=/etc \
	--with-tcp-wrappers=yes \
	--with%{!?with_selinux:out}-selinux \
	--with-xdmcp=yes \
	--with-xinerama=yes \
	--with-user=xdm \
	--with-group=xdm

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d,security,init} \
	$RPM_BUILD_ROOT{/home/services/xdm,/var/log/gdm} \
	$RPM_BUILD_ROOT{%{_datadir}/xsessions,%{systemdunitdir}} \
	$RPM_BUILD_ROOT%{systemdtmpfilesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PAM_PREFIX=%{_sysconfdir}

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/gdm
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/gdm-password
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/gdm-autologin
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/gdm
cp -p %{SOURCE7} $RPM_BUILD_ROOT/etc/init/%{name}.conf
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/gdm.service
install %{SOURCE9} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf

touch $RPM_BUILD_ROOT/etc/security/blacklist.gdm

%find_lang %{name} --with-gnome --with-omf --all-name

# allow executing ~/.Xclients and ~/.xsession
cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/xsessions/custom.desktop
cp -p %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/xsessions/default.desktop

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gdm/simple-greeter/extensions/*.{a,la} \
    $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
umask 022
/usr/bin/dconf update

%pre
%groupadd -g 55 -r -f xdm
%useradd -u 55 -r -d /home/services/xdm -s /bin/false -c "X Display Manager" -g xdm xdm

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor
if [ "$1" = "0" ]; then
	%glib_compile_schemas
	%userremove xdm
	%groupremove xdm
fi

%triggerpostun -- %{name} < 2:3.2.1.1-10
if [ -f /etc/X11/gdm/gdm.conf-custom.rpmsave ]; then
	mv /etc/X11/gdm/gdm.conf-custom.rpmsave /etc/gdm/custom.conf
fi

%post init
/sbin/chkconfig --add gdm
# -n skips restarting as it would otherise terminate all sessions opened from gdm!
%service -n gdm restart
%systemd_reload

%postun init
%systemd_reload

%preun init
if [ "$1" = "0" ]; then
	%service gdm stop
	/sbin/chkconfig --del gdm
fi

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_sbindir}/gdm
%attr(755,root,root) %{_sbindir}/gdm-binary
%attr(755,root,root) %{_bindir}/gdm-screenshot
%attr(755,root,root) %{_bindir}/gdmflexiserver
%dir %{_libdir}/gdm
%dir %{_libdir}/gdm/simple-greeter
%dir %{_libdir}/gdm/simple-greeter/extensions
%attr(755,root,root) %{_libdir}/gdm/simple-greeter/extensions/libfingerprint.so
%attr(755,root,root) %{_libdir}/gdm/simple-greeter/extensions/libpassword.so
%attr(755,root,root) %{_libdir}/gdm/simple-greeter/extensions/libsmartcard.so
%attr(755,root,root) %{_libexecdir}/gdm-crash-logger
%attr(755,root,root) %{_libexecdir}/gdm-factory-slave
%attr(755,root,root) %{_libexecdir}/gdm-host-chooser
%attr(755,root,root) %{_libexecdir}/gdm-product-slave
%attr(755,root,root) %{_libexecdir}/gdm-session-worker
%attr(755,root,root) %{_libexecdir}/gdm-simple-chooser
%attr(755,root,root) %{_libexecdir}/gdm-simple-greeter
%attr(755,root,root) %{_libexecdir}/gdm-simple-slave
%attr(755,root,root) %{_libexecdir}/gdm-xdmcp-chooser-slave
%attr(755,root,root) %{_libexecdir}/gdm-smartcard-worker
%dir %{_sysconfdir}/gdm
%dir %{_sysconfdir}/gdm/Init
%attr(755,root,root) %config %{_sysconfdir}/gdm/Init/Default
%attr(755,root,root) %config %{_sysconfdir}/gdm/PreSession
%attr(755,root,root) %config %{_sysconfdir}/gdm/PostSession
%attr(755,root,root) %config %{_sysconfdir}/gdm/Xsession
%dir %{_sysconfdir}/gdm/PostLogin
%config %{_sysconfdir}/gdm/PostLogin/Default.sample
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gdm/custom.conf
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/gdm*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.gdm
%{_sysconfdir}/dconf/db/gdm.d
%{_sysconfdir}/dconf/profile/gdm
%attr(1755,root,xdm) %dir /var/cache/gdm
%attr(1770,root,xdm) %dir /var/gdm
%attr(1770,root,xdm) %dir /var/lib/gdm
%dir /var/lib/gdm/.config
%attr(755,xdm,xdm) %dir /var/lib/gdm/.config/dconf
%attr(755,xdm,xdm) /var/lib/gdm/.local
%attr(750,xdm,xdm) %dir /var/log/gdm
%attr(711,root,xdm) %dir /var/run/gdm
%attr(755,xdm,xdm) %dir /var/run/gdm/greeter
%attr(750,xdm,xdm) /home/services/xdm
%{systemdtmpfilesdir}/%{name}.conf
%{_pixmapsdir}/*
%{_datadir}/gdm
%{_datadir}/polkit-1/actions/gdm.policy
%{_datadir}/gnome-session/sessions/gdm-fallback.session
%{_datadir}/gnome-session/sessions/gdm-shell.session
%{_datadir}/xsessions/custom.desktop
%{_datadir}/xsessions/default.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/glib-2.0/schemas/org.gnome.login-screen.gschema.xml

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdmgreeter.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/libgdmgreeter.so.1
%attr(755,root,root) %{_libdir}/libgdmsimplegreeter.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/libgdmsimplegreeter.so.1
%{_libdir}/girepository-1.0/GdmGreeter-1.0.typelib

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/gdm
%dir %{_includedir}/gdm/greeter
%{_includedir}/gdm/greeter/gdm-greeter-client.h
%{_includedir}/gdm/greeter/gdm-greeter-sessions.h
%dir %{_includedir}/gdm/simple-greeter
%{_includedir}/gdm/simple-greeter/gdm-login-extension.h
%{_pkgconfigdir}/gdmgreeter.pc
%{_pkgconfigdir}/gdmsimplegreeter.pc
%{_libdir}/libgdmgreeter.so
%{_libdir}/libgdmsimplegreeter.so
%{_datadir}/gir-1.0/GdmGreeter-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdmgreeter.a
%{_libdir}/libgdmsimplegreeter.a

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/gdm
%{systemdunitdir}/gdm.service

%files upstart
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/init/%{name}.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdm.spec,v $
Revision 1.302  2012/04/17 17:18:33  baggins
- systemd deps and scripts in package that uses them

Revision 1.301  2012/04/17 17:16:26  baggins
- rel 2
- better systemd deps

Revision 1.300  2012/04/14 19:24:00  megabajt
- updated to 3.4.1
- changed R: ConsoleKit-x11 to Suggests; it's not required when using
  systemd for session tracking

Revision 1.299  2012/03/31 14:11:15  glen
- mention that fallback note in bcond desc

Revision 1.298  2012/03/30 17:30:30  wiget
- enable systemd by default (fallback to ConsoleKit on runtime)
- rel. 2

Revision 1.297  2012/03/29 20:39:04  kiesiu
- updated to 3.4.0.1; merged from DEVEL
- BR for systemd bcond

Revision 1.296  2012/03/24 02:17:36  glen
- keep the service mask in -init package

Revision 1.295.2.2  2012/03/24 09:59:39  megabajt
- added systemd bcond (off by default) - when enabled, systemd is used for
  session tracking instead of deprecated ConsoleKit.

Revision 1.295.2.1  2012/03/23 16:48:02  megabajt
- updated to 3.3.92.1

Revision 1.295  2012/03/18 12:49:56  baggins
- rel 13
- no need for systemd post/preun stuff as service is masked

Revision 1.294  2012/03/18 12:43:40  baggins
- rel 12
- mask systemd gdm service and require xinitrc-ng >= 1.0 to start gdm via prefdm
- xinitrc-ng as such should be in R long ago

Revision 1.293  2012/02/05 17:35:28  baggins
- rel 11
- added O:-systemd

Revision 1.292  2012/02/05 16:35:57  baggins
- rel 10
- merged systemd stuff into main package

Revision 1.291  2012/01/31 11:52:22  baggins
- release 9

Revision 1.290  2012/01/31 11:31:30  baggins
- added tmpfiles config for systemd

Revision 1.289  2011/12/04 19:26:47  wiget
- don't restart gdm on upgrade

Revision 1.288  2011/12/04 18:30:37  wiget
- use newer systemd macros
- rel. 7

Revision 1.287  2011/12/04 01:58:43  wiget
- systemd support
- rel. 6

Revision 1.286  2011/11/17 22:52:34  kiesiu
- use umask in posttrans script; rel. 5

Revision 1.285  2011/10/26 14:41:53  megabajt
- move dconf update to posttrans
- release 4

Revision 1.284  2011/10/25 21:20:19  kiesiu
- updated BRs

Revision 1.283  2011/10/24 20:14:48  wiget
- small changes in pam file
- use gdm.pamd for gdm-password
- require compatible window manager
- suggests pam_gnome_keyring
- rel. 3

Revision 1.282  2011/10/20 18:29:39  kiesiu
- add dconf update to %%post
- rel. 2

Revision 1.281  2011/10/19 17:41:02  wiget
- up to 3.2.1.1
- reduce shell-check.patch to bash -> sh change

Revision 1.280  2011/10/16 20:51:37  kiesiu
- added patch to fix https://bugzilla.gnome.org/show_bug.cgi?id=660409
- rel. 4

Revision 1.279  2011/10/02 18:08:55  kiesiu
- use ldconfig only in -libs post/postun

Revision 1.278  2011/10/02 10:58:32  kiesiu
- added missing dir in -devel
- moved upstart conf file to -upstart
- rel. 3

Revision 1.277  2011/09/30 21:03:04  kiesiu
- added epochs

Revision 1.276  2011/09/30 20:53:34  kiesiu
- added R: gdm-libs to main package

Revision 1.275  2011/09/30 20:42:40  kiesiu
- added libs subpackage

Revision 1.274  2011/09/30 19:56:07  kiesiu
- fixed R in -devel subpackage; rel 2

Revision 1.273  2011/09/30 12:28:58  cieciwa
- added %%dir to gdm-devel subpackage.

Revision 1.272  2011/09/29 18:53:10  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.271.2.5  2011/09/25 16:00:04  kiesiu
- added missing dir

Revision 1.271.2.4  2011/09/25 11:06:28  kiesiu
- updated BRs

Revision 1.271.2.3  2011/09/20 18:10:43  wiget
- up to 3.1.92

Revision 1.271.2.2  2011/09/05 20:29:42  wiget
- compile glib schemas in post

Revision 1.271.2.1  2011/09/05 20:04:15  wiget
- start update to 3.1.90

Revision 1.271  2011/08/16 18:20:13  megabajt
- R: dbus-x11
- release 4

Revision 1.270  2011/08/12 19:43:36  glen
- R ConsoleKit-x11 apparently due -x11 split

Revision 1.269  2011/07/21 10:58:56  glen
- add upstart script, use %service -n

Revision 1.268  2011/05/31 17:26:53  megabajt
- updated to 3.0.4

Revision 1.267  2011/05/31 16:21:25  megabajt
- updated to 3.0.3 (resolves CVE-2011-1709)

Revision 1.266  2011/05/23 23:00:44  kiesiu
- updated accountsservice required version

Revision 1.265  2011/05/23 22:51:21  kiesiu
- updated to 3.0.2

Revision 1.264  2011/04/13 15:49:52  megabajt
- Obsoletes: gdm-user-switch-applet
- release 2

Revision 1.263  2011/04/06 13:22:38  kiesiu
- updated to 3.0.0 version; merged from DEVEL
- fixed polkit patch
- works fine with custom autologin.pamd file (replace provided with sources)

Revision 1.262  2011/03/27 05:55:27  qboosh
- en@shaw locale is now supported (via LANGUAGE)

Revision 1.261  2011/02/04 18:23:45  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.260  2011/01/27 22:10:06  glen
- upstart hook

Revision 1.259.2.6  2011/03/22 23:02:31  wiget
- up to 2.91.94

Revision 1.259.2.5  2011/03/10 09:33:07  megabajt
- revised deps
- packaged missing dirs

Revision 1.259.2.4  2011/03/09 13:42:37  wiget
- up to 2.91.93

Revision 1.259.2.3  2011/02/26 12:47:03  wiget
- 2.91.91

Revision 1.259.2.2  2011/02/12 23:56:53  wiget
- BR and R fixes

Revision 1.259.2.1  2011/02/04 13:42:33  wiget
- start update to 2.91.6

Revision 1.259  2010/09/30 09:08:38  patrys
- 2.32.0

Revision 1.258.2.2  2010/09/30 09:07:32  patrys
- 2.32.0

Revision 1.258.2.1  2010/09/01 21:08:55  patrys
- 2.31.90

Revision 1.258  2010/06/29 19:19:57  megabajt
- updated to 2.30.4

Revision 1.257  2010/05/19 12:50:39  baggins
- warning removed, gdm2.20 created

Revision 1.256  2010/05/12 22:17:30  sparky
- BR: polkit-devel
- commented-out unused BR: ConsoleKit-devel, check, polkit-gnome-devel,
  scrollkeeper, xorg-lib-libdmx-devel

Revision 1.255  2010/04/27 14:51:07  megabajt
- updated to 2.30.2

Revision 1.254  2010/03/31 20:52:48  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.249.2.3  2010/03/14 20:25:12  megabajt
- updated to 2.29.92
- removed obsolete -dont-hardcode-path.patch

Revision 1.253  2010/02/13 11:57:36  qboosh
- dropped _localstatedir macro abuse; don't package invalid /var/gdm directory

Revision 1.252  2010/01/28 14:26:56  glen
- use /usr/bin/X as more general dependency

Revision 1.251  2009/12/17 18:43:39  megabajt
- updated Source0-md5

Revision 1.250  2009/12/17 09:26:10  megabajt
- updated to 2.28.2

Revision 1.249.2.2  2009/11/24 12:22:36  patrys
- remove en@shaw

Revision 1.249.2.1  2009/11/24 12:17:21  patrys
- 2.29.0

Revision 1.249  2009/11/15 20:54:52  sparky
- added "custom" an "default" desktop files to xsessions dir - they allow
  starting ~/.Xclients and ~/.xsession scripts
- BR: polkit-gnome-devel >= 0.92
- S: zenity
- rel 2

Revision 1.248  2009/10/23 13:45:03  megabajt
- updated to 2.28.1

Revision 1.247  2009/10/02 16:35:03  megabajt
- created -user-switch-applet subpackage with P/O: g-a-f-u-s to fix lp#439820
- really fixed path to polkit-gnome-authentication-agent-1 (-dont-hardcode-path.patch)
- fixed file permissions
- release 8

Revision 1.246  2009/10/02 11:13:41  patrys
- BR: libcanberra-gtk

Revision 1.245  2009/10/02 10:28:41  qwiat
- fixed %dir

Revision 1.244  2009/10/02 10:23:35  qwiat
- added missing dir: /var/cache/gdm

Revision 1.243  2009/10/02 07:59:48  baggins
- rel 4
- ConsoleKit version

Revision 1.242  2009/10/01 19:36:32  qwiat
- added BR: docbook-dtd412-xml

Revision 1.241  2009/09/28 23:15:51  baggins
- rel 2

Revision 1.240  2009/09/26 19:31:36  patrys
- 2.28.0
- as permitted by arekm

Revision 1.239  2009/09/26 18:14:02  arekm
- rel 3; run by default on vt9

Revision 1.238  2009/08/18 10:59:38  arekm
- release 2

Revision 1.237  2009/03/29 16:06:55  megabajt
- updated to 2.20.10

Revision 1.236  2008/12/27 11:44:53  adamg
- updated to 2.20.9

Revision 1.235  2008/11/24 22:29:27  sls
- it should be 1770

Revision 1.234  2008/11/24 17:35:16  sls
- attr(1750,root,xdm) /var/lib/gdm (gdm-daemon sets such permissions)
- rel. 2

Revision 1.233  2008/11/02 11:08:06  megabajt
- updated to 2.20.8

Revision 1.232  2008/11/01 23:19:09  arekm
- release 3

Revision 1.231  2008/10/13 10:00:41  radek
- BR: gnome-doc-utils

Revision 1.230  2008/10/13 09:29:27  radek
- epoch 2, release 2: reverted to -r1.227 (before merge from DEVEL),
  tagged previous version as DEVEL.  This is not ready for merge.

Revision 1.229  2008/10/12 18:50:20  patrys
- rebuild with proper init script
- rel 2

Revision 1.228  2008/10/02 23:28:44  qwiat
- merge from devel

Revision 1.220.2.10  2008/10/02 23:17:05  qwiat
- up to 2.24
- removed storky theme

Revision 1.220.2.9  2008/08/28 15:04:50  patrys
- R: latest gnome-session

Revision 1.220.2.8  2008/08/28 14:45:16  patrys
- 2.23.90

Revision 1.220.2.7  2008/08/19 19:49:01  patrys
- fix packaging

Revision 1.220.2.6  2008/08/19 19:36:38  patrys
- universal patch as submitted upstream

Revision 1.220.2.5  2008/08/19 14:24:47  patrys
- 2.23.2

Revision 1.227  2008/07/03 10:24:37  dzeus
- upss, Source4 back

Revision 1.226  2008/07/03 10:17:03  dzeus
- md5

Revision 1.225  2008/07/03 10:13:24  dzeus
- up to 2.20.7

Revision 1.224  2008/04/11 19:25:52  sls
- ver. 2.20.5

Revision 1.223  2008-03-21 07:59:30  arekm
- R: xorg-app-xmodmap used in gdm/Xsession

Revision 1.222  2008-03-13 11:15:13  patrys
- 2.20.4

Revision 1.220.2.4  2008/02/16 03:48:40  patrys
- package the gconf directory

Revision 1.220.2.3  2008-02-16 03:45:29  patrys
- 2.21.7

Revision 1.220.2.2  2008-02-10 22:24:38  patrys
- 2.21.6

Revision 1.221  2008-01-09 19:44:35  megabajt
- updated to 2.20.3

Revision 1.220.2.1  2007-12-20 00:22:52  patrys
- 2.21.4

Revision 1.220  2007-12-01 17:18:53  glen
- @ is no special needing the escape

Revision 1.219  2007-12-01 16:51:13  megabajt
- updated to 2.20.2
- use better way to fix locale name

Revision 1.220  2007-12-01 17:18:53  glen

Revision 1.218  2007-11-27 20:28:18  qboosh
- updated find_lang BR

Revision 1.217  2007-11-08 19:59:57  megabajt
- up to 2.20.1
- use --with-omf

Revision 1.216  2007-11-04 22:53:18  ankry
- sr@Latn -> sr@latin, rel. 5

Revision 1.215  2007/10/25 16:27:45  baggins
- rel 4
- no need for pam_ck_connector, gdm can do this internally
- --with-console-kit

Revision 1.214  2007/10/25 15:35:01  baggins
- rel 3
- fix pam configs wrt ConsoleKit

Revision 1.213  2007/09/21 15:43:05  megabajt
- added defaults patch (fixes #43)
- release 2

Revision 1.212  2007/09/18 08:23:15  aflinta
- merged from DEVEL, up to 2.20

Revision 1.211  2007/09/09 17:21:00  qboosh
- let all XDMs have Provides: XDM (xdm was already used by XFree86 xdm impl.)
- dropped X11-xdm obsoletes from non-X.org XDMs

Revision 1.210.2.3  2007/09/17 11:51:36  patrys
- build with ConsoleKit support

Revision 1.210.2.2  2007/09/07 19:17:55  megabajt
- updated to 2.19.8

Revision 1.210.2.1  2007/08/29 05:32:49  patrys
- 2.19.7

Revision 1.210  2007/08/13 14:17:14  megabajt
- updated to 2.18.4, fixes CVE-2007-3381

Revision 1.209  2007/08/04 14:51:08  patrys
- rel up
- don't obsolete other greeters

Revision 1.208  2007/07/26 14:04:44  megabajt
- updated to 2.18.3

Revision 1.207  2007/06/01 17:41:58  megabajt
- updated to 2.18.2

Revision 1.206  2007/05/02 18:06:50  radek
- release 2: use pam_limits.so

Revision 1.205  2007/04/09 11:15:06  megabajt
- updated to 2.18.1

Revision 1.204  2007/03/12 18:25:50  megabajt
- omg, updated md5

Revision 1.203  2007/03/12 18:22:07  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.202.2.1  2007/03/04 14:41:19  megabajt
- updated to 2.17.8

Revision 1.202  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.201  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.200  2007/02/11 13:21:07  baggins
- rel 2
- R: pam >= 0.99.7.1

Revision 1.199  2007/01/29 19:17:20  megabajt
- 2.16.5

Revision 1.198  2006/12/23 22:05:25  megabajt
- updated to 2.16.4 (fixes CVE-2006-6105)

Revision 1.197  2006/12/23 10:44:40  adamg
- Obsoletes: slim

Revision 1.196  2006/12/18 16:21:26  baggins
- release 2
- added sessreg patch (fixes pre/post session scripts)

Revision 1.195  2006/11/01 13:24:10  megabajt
- up to 2.16.2

Revision 1.194  2006/10/05 22:06:08  grzegol
- package si lang files (languages added in glibc-2.5)

Revision 1.193  2006/10/03 19:02:37  grzegol
- 2.16.1

Revision 1.192  2006/09/05 20:46:15  grzegol
- 2.16.0

Revision 1.191  2006/08/21 21:20:55  freetz
- 2.15.10

Revision 1.190  2006/08/09 20:32:40  freetz
- 2.15.9

Revision 1.189  2006/08/01 18:07:52  freetz
- 2.15.8

Revision 1.188  2006/07/26 19:04:24  freetz
- 2.15.7

Revision 1.187  2006/07/13 15:49:01  freetz
- 2.15.6, updated deps, --as-needed support

Revision 1.186  2006/06/22 14:19:45  wrobell
- apply missing xorg patch
- rel. 2

Revision 1.185  2006/06/12 19:22:53  freetz
- 2.15.5

Revision 1.184  2006/06/10 20:12:23  freetz
- 2.15.4, GNOME 2.15.x deps, restored HEAD deps

Revision 1.183  2006/06/09 15:20:10  glen
- note CVE ref in 2.14.8 release
- adapter

Revision 1.182  2006/06/08 17:38:02  qboosh
- merged security update to 2.14.8 from AC-branch [CVE-2006-2452]
- removed obsolete todo comment

Revision 1.181  2006/05/23 21:19:03  freetz
- md5

Revision 1.180  2006/05/23 21:15:23  freetz
- sync with stable branch, cut changelog
